Subject: bug#17109: 24.4.50; REGRESSION: `with-output-to-temp-buffer' is broken

From: Drew Adams <[email-masked]>
Date: Fri, 28 Mar 2014 14:45:35 -0700 (PDT)

> 5. What you must NOT do is change the behavior of the existing macro,
> so that any code that uses it breaks.

I *really* hope that someone please takes this regression seriously.

I have lots of code that defines help functions of different kinds,
and it all uses `with-output-to-temp-buffer'.  And it all needs to
work across multiple Emacs versions.

For example, Bookmark+ has a command `bmkp-describe-bookmark'.
It does various things, but the first thing it does is this:

(with-output-to-temp-buffer "*Help*" (princ help-text))

That's a standard Emacs idiom, and has been so for decades.

Now it is broken.  Buffer *Help* ends up in Fundamental mode.
This should not be so.

I do not understand why anyone would change the behavior of
a macro such as `with-output-to-temp-buffer'.  There are plenty
of other ways to get whatever new behavior you want, without
doing that.